Raritan PX2/PX3 JSON-RPC API: event::DataPushService_1_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
event::DataPushService_1_0_1 Interface Reference

Data push service configuration interface. More...

`import"DataPushService.idl";`

## Classes
struct | EntrySettings
| Data Push Entry Settings. More...
struct | EntryStatus
| Data Push Entry Status. More...

## Public Types
enum | EntryType { SENSORLIST, SENSORLOG, AMSLIST, AMSLOG, AUDITLOG }
| Data Push Entry Types. More...

## Public Member Functions
int | addEntry (out int entryId, in EntrySettings entrySettings)
| Add a new entry. More...
int | modifyEntry (in int entryId, in EntrySettings entrySettings)
| Modify an existing entry. More...
int | deleteEntry (in int entryId)
| Delete an entry. More...
int | getEntry (out EntrySettings entrySettings, in int entryId)
| Retrieve an entry. More...
map< int, EntrySettings > | listEntries ()
| Retrieve a list of entries. More...
int | pushData (in int entryId)
| Push data for one specified entry. More...
int | getEntryStatus (out EntryStatus entryStatus, in int entryId)
| Retrieve an entry's status. More...

## Public Attributes
constant int | ERR_NO_SUCH_ID = 1
| Error codes. More...
constant int | ERR_INVALID_PARAMS = 2
| Invalid parameters.
constant int | ERR_MAX_ENTRIES_REACHED = 3
| Maximum number of entries reached.
valueobject | EntryAddedEvent: UserEvent { int entryId
| Event: A new push destination has been added. More...
EntrySettings | settings
| New entry settings.
valueobject | EntryModifiedEvent: UserEvent { int entryId
| Event: A configured push destination has been modified. More...
EntrySettings | oldSettings
| Settings before change.
EntrySettings | newSettings
| Settings after change.
valueobject | EntryDeletedEvent: UserEvent { int entryId
| Event: A configured push destination has been deleted. More...
valueobject | EntryStatusChangedEvent: idl::Event { int entryId
| Event: The status of a configured push destination has changed. More...
EntryStatus | newStatus
| New status.

## Detailed Description

Data push service configuration interface.

## Member Enumeration Documentation

## ◆ EntryType

enum event::DataPushService_1_0_1::EntryType

Data Push Entry Types.

Enumerator
SENSORLIST | Sensor values for a set of sensors.
SENSORLOG | Sensor log.
AMSLIST | Asset Management information for a set of AMS strips.
AMSLOG | Asset Management log.
AUDITLOG | Audit log.

## Member Function Documentation

## ◆ addEntry()

int event::DataPushService_1_0_1::addEntry | ( | out int | entryId,
|  | in EntrySettings | entrySettings
| ) |  |

Add a new entry.

Parameters

  entryId | Result: New entry id, automatically assigned
  entrySettings | New Model Push Entry settings

Returns
  0 if OK
  2 if the settings are invalid
  3 if the maximum number of entries is reached

## ◆ deleteEntry()

int event::DataPushService_1_0_1::deleteEntry | ( | in int | entryId | ) |

Delete an entry.

Parameters

  entryid | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ getEntry()

int event::DataPushService_1_0_1::getEntry | ( | out EntrySettings | entrySettings,
|  | in int | entryId
| ) |  |

Retrieve an entry.

Parameters

  entrySettings | Result: Model Push Entry settings
  entryId | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ getEntryStatus()

int event::DataPushService_1_0_1::getEntryStatus | ( | out EntryStatus | entryStatus,
|  | in int | entryId
| ) |  |

Retrieve an entry's status.

Parameters

  entryStatus | Result: Entry status
  entryId | Entry id

Returns
  0 if OK
  1 if the entry does not exist

## ◆ listEntries()

map<int, EntrySettings> event::DataPushService_1_0_1::listEntries | ( |  | ) |

Retrieve a list of entries.

Returns
  List of Entry Settings

## ◆ modifyEntry()

int event::DataPushService_1_0_1::modifyEntry | ( | in int | entryId,
|  | in EntrySettings | entrySettings
| ) |  |

Modify an existing entry.

Parameters

  entryId | Entry id
  entrySettings | New Model Push Entry settings

Returns
  0 if OK
  1 if the entry does not exist
  2 if the settings are invalid

## ◆ pushData()

int event::DataPushService_1_0_1::pushData | ( | in int | entryId | ) |

Push data for one specified entry.

Parameters

  entryId | Entry id

Returns
  0 if OK
  1 if entry does not exist

## Member Data Documentation

## ◆ EntryAddedEvent

valueobject event::DataPushService_1_0_1::EntryAddedEvent

Event: A new push destination has been added.

New entry id

## ◆ EntryDeletedEvent

valueobject event::DataPushService_1_0_1::EntryDeletedEvent

Event: A configured push destination has been deleted.

Deleted entry id

## ◆ EntryModifiedEvent

valueobject event::DataPushService_1_0_1::EntryModifiedEvent

Event: A configured push destination has been modified.

Modified entry id

## ◆ EntryStatusChangedEvent

valueobject event::DataPushService_1_0_1::EntryStatusChangedEvent

Event: The status of a configured push destination has changed.

Entry id

## ◆ ERR_NO_SUCH_ID

constant int event::DataPushService_1_0_1::ERR_NO_SUCH_ID = 1

Error codes.

No such ID

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/DataPushService.idl